RedHatLinuxでソースrpmよりインストールを試みたところ、specファイルをrpmbuildしようとしたら次のようなメッセージが出ました。どのような原因・解決方法が予測されるでしょうか。ちなみにkernel-sourceは/usr/src/linux-2.4.21-27/にインストール済みです。(こちらもソースrpmからインストールしました)


エラー: Failed build dependencies:
kernel-source = 2.4.21-27.EL is needed by *******

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2005/07/28 11:03:56
  • 終了:--

回答(3件)

id:kodomono-omocha No.1

kodomono-omocha回答回数406ベストアンサー獲得回数62005/07/28 13:45:35

ポイント25pt

http://www.itmedia.co.jp/help/tips/linux/l0471.html

ITmedia エンタープライズ : Linux Tips「RPMパッケージのアップデートで「エラー: 依存性の欠如:」と表示されてしまう」

基本的な依存関係のエラーです。

*******の部分をなぜ隠しているのかわかりませんが、いずれにしろ、そのままではそれをインストールすることはできません。

*******をインストールするには2.4.21-27.EL が必要という意味です。

id:akihatehiro No.2

akihatehiro回答回数54ベストアンサー獲得回数02005/07/28 14:00:37

ポイント25pt

rpm -qa | grep kernel-source

の結果、kernel-source-2.4.21-27.EL は表示されますか?

一語一句違わずに、です。

もし違うバージョンが入っていたら、入れ直してください。


それか、spec ファイル中の kernel-source*** と書かれている行をコメントアウトしてみて rebuild できるようでしたら、それでいいかも知れません。

id:hiro211

rpmで入れていないんですよね。。。

ソースで入れてしまったものですから。

specファイルをちょっといじってみています。

2005/07/28 14:04:31

質問者が未読の回答一覧

 回答者回答受取ベストアンサー回答時間
1 kodomono-omocha 406 350 6 2005-07-28 14:30:27

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません